
QGIS Application - Bug report #19771

QGIS slow commit on large tables

2018-09-05 09:41 AM - Patrick Palmier

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27596

Description

Hello,

I've a script that update attribute table.

With QGis 3.2.2 the commit operation (saving memory updates to disk file) is incredibely longer as it is with Qgis 2.18 several years

comparing to a few minutes

Thjis is very annoying, so that I can't use Qgis 3.2.2 for such tasks

Thank you in advance

Related issues:

Related to QGIS Application - Bug report # 20008: Very Slow Table Operations ... Closed 2018-10-03

History

#1 - 2018-09-05 10:24 AM - Alessandro Pasotti

- Status changed from Open to Feedback

Some more details would be helpful.

Can you please attach a project and data and step-by-step procedure to reproduce the issue?

#2 - 2018-09-06 08:04 AM - Patrick Palmier

To reproduce the issue, you have to:

open a big vector layer (in my example 500 000 rows) in Qgis 2.18 and Qgis 3.2 (

    update a field with the network calculator (ex: update a numeric field with the length or area of the  geometry ($length or $area)

    commit the changes when you quit editing mode

    in qgis 2.18 il will take a few seconds or a few minutes while in qgis 3.2 more than one hour (may be several hours)

PS: I can't attach data as it needs a huge layer to see a very big difference in commit time between qgis 2.18 and qgis 3.2 (>5Mb)

#3 - 2018-09-06 12:02 PM - Giovanni Manghi

PS: I can't attach data as it needs a huge layer to see a very big difference in commit time between qgis 2.18 and qgis 3.2 (>5Mb)

can you link the dataset (dropbox, gdrive, etc)?
#4 - 2018-09-06 12:07 PM - Giovanni Manghi

- Operating System deleted (Windows)

- Affected QGIS version changed from 3.2.2 to 3.3(master)

- Status changed from Feedback to Open

- Subject changed from Windows slow commit on large tables to QGIS slow commit on large tables

Giovanni Manghi wrote:

PS: I can't attach data as it needs a huge layer to see a very big difference in commit time between qgis 2.18 and qgis 3.2 (>5Mb)

can you link the dataset (dropbox, gdrive, etc)?

I used the dataset in the description here #19774 and confirm the issue on QGIS/Master.

#5 - 2018-09-06 12:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Giovanni Manghi wrote:

Giovanni Manghi wrote:

PS: I can't attach data as it needs a huge layer to see a very big difference in commit time between qgis 2.18 and qgis 3.2 (>5Mb)

can you link the dataset (dropbox, gdrive, etc)?

I used the dataset in the description here #19774 and confirm the issue on QGIS/Master.

to tell the truth seems pretty slow also on QGIS 2.18 to me.

#6 - 2018-10-05 09:56 AM - Luigi Pirelli

referenced in #20008

#7 - 2018-10-05 10:04 AM - Giovanni Manghi

- Related to Bug report #20008: Very Slow Table Operations while the Table is Open added

#8 - 2018-12-27 04:50 PM - Nyall Dawson

This is likely fixed in 3.4 - please test

#9 - 2019-01-14 11:50 PM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
